package com.example.ueberwachungssystem.Fragments;

import android.os.Bundle;
import android.util.Log;
import android.view.Gravity;
import android.view.LayoutInflater;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewGroup;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.Button;
import android.widget.ListView;
import android.widget.PopupWindow;
import android.widget.Toast;
import android.widget.VideoView;

import androidx.fragment.app.Fragment;

import com.example.ueberwachungssystem.R;

import java.io.File;
import java.util.ArrayList;
import java.util.List;

public class VideoListFragment extends Fragment {

    private ListView listView;
    private Button button;
    private ArrayAdapter<String> adapter;

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        View rootView = inflater.inflate(R.layout.videolist_fragment, container, false);


        button = rootView.findViewById(R.id.button);
        button.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                File dir = getContext().getFilesDir();
                File[] files = dir.listFiles();
                for (File file: files) {
                    file.delete();
                }
            }
        });



        listView = rootView.findViewById(R.id.listView);
        adapter = new ArrayAdapter<>(requireContext(), android.R.layout.simple_list_item_1, getFileNames());
        listView.setAdapter(adapter);

        listView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
                // Handle item click event here
                String selectedItem = getContext().getFilesDir().toString() + "/" + adapter.getItem(position);
                //Toast.makeText(requireContext(), selectedItem, Toast.LENGTH_SHORT).show();

                openVideoPopup(selectedItem);
            }
        });
        return rootView;
    }

    private List<String> getFileNames() {
        // Add your data source here, e.g., an array or a list
        File dir = getContext().getFilesDir();
        File[] files = dir.listFiles();
        Log.d("files", getContext().getFilesDir().toString());


        List<String> fileNamesList = new ArrayList<>();
        assert files != null;
        for (File file : files) {
            fileNamesList.add(file.getName());
        }
        return fileNamesList;
    }


    private void openVideoPopup(String videoPath) {
        LayoutInflater inflater = LayoutInflater.from(requireContext());
        View popupView = inflater.inflate(R.layout.videolist_popup, null);

        VideoView videoView = popupView.findViewById(R.id.videoView);
        videoView.setVideoPath(videoPath);
        videoView.start();

        PopupWindow popupWindow = new PopupWindow(popupView, ViewGroup.LayoutParams.MATCH_PARENT, ViewGroup.LayoutParams.MATCH_PARENT, true);

        popupView.setOnTouchListener(new View.OnTouchListener() {
            @Override
            public boolean onTouch(View v, MotionEvent event) {
                //Close the window when clicked
                popupWindow.dismiss();
                return true;
            }
        });
        popupWindow.showAtLocation(listView, Gravity.CENTER, 0, 0);
    }
}
